Description
Per riprodurre:
octofussctl http://server:13400/conf/

cd /users/users/utente
set password conunal

a questo punto il login non funziona piu (avendo verificato di aver inserito sempre U e non altri caratteri a causa della mappa tastiera

diversa).

In compenso, funziona il proxy (con le modifiche del ticket #294 )

Related issues:
Related to fuss-server - Segnalazione #294: Problema con password utente e ca...

Chiuso 06/08/2017

Associated revisions

Revision f414bfa8 - 06/19/2017 12:16 PM - Mark Caglienzi
Encode value to utf-8 bytes, as suggested by passlib 1.6.5 documentation. refs #311
e This is idempotent wrt ASCII strings, and it makes non-ASCII strings

work. * If SPROGRAM that uses LM password does not work with non-ASCII
passwords, it should be solved there.

Revision 0462cea8 - 09/11/2017 07:28 PM - Christopher R. Gabriel
refs #311

Revision 2¢c847ebf - 09/11/2017 07:29 PM - Christopher R. Gabriel

version bump - refs #311

History

#1 - 06/13/2017 03:01 PM - Elena Grandi

- Related to Segnalazione #294: Problema con password utente e caratteri speciali added

#2 - 06/16/2017 10:35 AM - Mark Caglienzi
- Status changed from Nuovo to In elaborazione

- Assignee changed from TRUELITE to Mark Caglienzi
#3 - 06/19/2017 12:26 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

f414bfa8:

07/02/2025
http://server:13400/conf/
https://work.fuss.bz.it/issues/294
https://work.fuss.bz.it/projects/octofussd/repository/24/revisions/f414bfa889e77f5cbb3ed426d47eaf05b4a474df

https://passlib.readthedocs.io/en/1.6.5/lib/passlib.hash.Imhash.html#deviations

L'encoding usato da passlib per I'nash LM & CP437

Una delle soluzioni proposte dalla documentazione di passlib & inviare a encrypt()/hash() una sequenza di byte anziché una stringa.

Dai test effettuati in ipython e con octofussctl e octonet risulta che questo € idempotente per le password ASCII, e effettua il salvataggio giusto
per le password non-ASCII

e Se poi un programma "a valle" non riesce a autenticare I'utente con la sua password non-ASClI, credo che vada risolto nella configurazione del
programma stesso, perché pare che octofussd ora faccia il salvataggio corretto.

Pushato in 311, non mergiato.

PS: Dalle prove effettuate sul proxy, le password non-ASCII non funzionano, quindi direi che bisogna aggiustare la situazione di squid (ticket
"correlato” #294)

#4 - 09/11/2017 07:31 PM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Pubblicata 8.0.36 di octofussd.

Il problema del proxy era che la patch modificava soltanto I'hash per samba, e non quello generale usato in LDAP per l'autenticazione, che usa
proprio il proxy e l'autenticazione utente.

Ho verificato la cosa cambiando la password ad un utente, e riesce correttamente ad utilizzare il proxy e il login.

Chiudo.
